import { EChain, EChainTechnology, EChainType } from "../enum/index.js";
import { ChainId, EVMContractAddress, URLString, CoinGeckoAssetPlatformID } from "../primitives/index.js";
export declare class NativeCurrencyInformation {
    name: string;
    decimals: number;
    symbol: string;
    coinGeckoId?: string | undefined;
    constructor(name: string, decimals: number, symbol: string, coinGeckoId?: string | undefined);
}
export declare class ChainInformation {
    name: string;
    chainId: ChainId;
    chain: EChain;
    chainTechnology: EChainTechnology;
    isDev: boolean;
    networkName: string;
    averageBlockMiningTime: number;
    nativeCurrency: NativeCurrencyInformation;
    type: EChainType;
    explorerURL: string;
    getExplorerURL: (txHash: string) => string;
    contractStackDeployed: boolean;
    operatorGatewayContractAddress: EVMContractAddress;
    snickerdoodleWalletFactoryContractAddress: EVMContractAddress;
    smartClearinghouseContractAddress: EVMContractAddress;
    etherscanEndpointURL?: URLString | undefined;
    coinGeckoSlug?: CoinGeckoAssetPlatformID | undefined;
    constructor(name: string, chainId: ChainId, chain: EChain, chainTechnology: EChainTechnology, isDev: boolean, networkName: string, averageBlockMiningTime: number, nativeCurrency: NativeCurrencyInformation, type: EChainType, explorerURL: string, getExplorerURL: (txHash: string) => string, contractStackDeployed: boolean, operatorGatewayContractAddress: EVMContractAddress, snickerdoodleWalletFactoryContractAddress: EVMContractAddress, smartClearinghouseContractAddress: EVMContractAddress, etherscanEndpointURL?: URLString | undefined, coinGeckoSlug?: CoinGeckoAssetPlatformID | undefined);
}
export declare class ControlChainInformation extends ChainInformation {
    consentFactoryContractAddress: EVMContractAddress;
    governanceTokenContractAddress: EVMContractAddress;
    questionnairesContractAddress: EVMContractAddress;
    constructor(name: string, chainId: ChainId, chain: EChain, chainTechnology: EChainTechnology, isDev: boolean, networkName: string, averageBlockMiningTime: number, nativeCurrency: NativeCurrencyInformation, type: EChainType, explorerURL: string, contractStackDeployed: boolean, operatorGatewayContractAddress: EVMContractAddress, snickerdoodleWalletFactoryContractAddress: EVMContractAddress, smartClearinghouseContractAddress: EVMContractAddress, consentFactoryContractAddress: EVMContractAddress, governanceTokenContractAddress: EVMContractAddress, questionnairesContractAddress: EVMContractAddress, etherscanEndpointURL?: URLString, coinGeckoSlug?: CoinGeckoAssetPlatformID);
}
//# sourceMappingURL=ChainInformation.d.ts.map