import { URLString, } from "../primitives/index.js";
export class NativeCurrencyInformation {
    constructor(name, decimals, symbol, coinGeckoId) {
        this.name = name;
        this.decimals = decimals;
        this.symbol = symbol;
        this.coinGeckoId = coinGeckoId;
    }
}
export class ChainInformation {
    constructor(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, getExplorerURL, contractStackDeployed, operatorGatewayContractAddress, snickerdoodleWalletFactoryContractAddress, smartClearinghouseContractAddress, etherscanEndpointURL, coinGeckoSlug) {
        this.name = name;
        this.chainId = chainId;
        this.chain = chain;
        this.chainTechnology = chainTechnology;
        this.isDev = isDev;
        this.networkName = networkName;
        this.averageBlockMiningTime = averageBlockMiningTime;
        this.nativeCurrency = nativeCurrency;
        this.type = type;
        this.explorerURL = explorerURL;
        this.getExplorerURL = getExplorerURL;
        this.contractStackDeployed = contractStackDeployed;
        this.operatorGatewayContractAddress = operatorGatewayContractAddress;
        this.snickerdoodleWalletFactoryContractAddress = snickerdoodleWalletFactoryContractAddress;
        this.smartClearinghouseContractAddress = smartClearinghouseContractAddress;
        this.etherscanEndpointURL = etherscanEndpointURL;
        this.coinGeckoSlug = coinGeckoSlug;
    }
}
// ControlChainInformation will go away after refactor, but keeping it for now
export class ControlChainInformation extends ChainInformation {
    constructor(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, 
    // If contractStackDeployed is false, the contract addresses will not be null (to make life easier) but will be invalid
    contractStackDeployed, operatorGatewayContractAddress, snickerdoodleWalletFactoryContractAddress, smartClearinghouseContractAddress, 
    // TODO: Remove, not part of new contract stack
    consentFactoryContractAddress, governanceTokenContractAddress, 
    // TODO: Remove, not part of new contract stack
    questionnairesContractAddress, etherscanEndpointURL, coinGeckoSlug) {
        super(name, chainId, chain, chainTechnology, isDev, networkName, averageBlockMiningTime, nativeCurrency, type, explorerURL, function (txHash) {
            return explorerURL + txHash;
        }, contractStackDeployed, operatorGatewayContractAddress, snickerdoodleWalletFactoryContractAddress, smartClearinghouseContractAddress, etherscanEndpointURL ? URLString(etherscanEndpointURL) : undefined, coinGeckoSlug);
        this.consentFactoryContractAddress = consentFactoryContractAddress;
        this.governanceTokenContractAddress = governanceTokenContractAddress;
        this.questionnairesContractAddress = questionnairesContractAddress;
    }
}
//# sourceMappingURL=ChainInformation.js.map